> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get compact data for all SaucerSwap V2 pools

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /v2/pools
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /v2/pools:
    get:
      tags:
        - SaucerSwap V2
      summary: Get compact data for all SaucerSwap V2 pools
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PoolV2Compact'
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.
  schemas:
    PoolV2Compact:
      type: object
      properties:
        id:
          type: integer
          example: 1
          description: Pool id
        contractId:
          type: string
          description: Contract id (shard.realm.num)
          example: 0.0.3948521
        tokenA:
          $ref: '#/components/schemas/TokenACompact'
          example:
            decimals: 6
            icon: /images/tokens/usdc.png
            id: 0.0.456858
            name: USD Coin
            price: '1678944894'
            priceUsd: 1.00375771
            symbol: USDC
            dueDiligenceComplete: true
            isFeeOnTransferToken: false
        tokenB:
          $ref: '#/components/schemas/TokenBCompact'
          example:
            decimals: 6
            icon: /images/tokens/usdc.png
            id: 0.0.1055459
            name: USD Coin
            price: '1681384187'
            priceUsd: 1.00521604
            symbol: USDC[hts]
            dueDiligenceComplete: true
            isFeeOnTransferToken: false
        amountA:
          type: string
          example: '6313040'
          description: Total amount for token A
        amountB:
          type: string
          example: '6313042'
          description: Total amount for token B
        fee:
          type: integer
          example: 500
          description: Swap fee tier for the pool, denoted in basis points
        sqrtRatioX96:
          type: string
          example: '79228162514992909706099547250'
          description: >-
            Encoded square root of price ratio between tokens in the pool as a
            Q64.96 number
        tickCurrent:
          type: integer
          example: 0
          description: >-
            Current active tick index, representing a specific price point in
            the pool
        liquidity:
          type: string
          example: '10878982596'
          description: Total liquidity for the pool
      required:
        - id
        - contractId
        - tokenA
        - tokenB
        - amountA
        - amountB
        - fee
        - sqrtRatioX96
        - tickCurrent
        - liquidity
    TokenACompact:
      allOf:
        - $ref: '#/components/schemas/TokenCompact'
      example:
        id: 0.0.731861
        name: SAUCE
        symbol: SAUCE
        decimals: 6
        priceUsd: 0.01760954
    TokenBCompact:
      allOf:
        - $ref: '#/components/schemas/TokenCompact'
      example:
        id: 0.0.1460200
        name: xSAUCE
        symbol: XSAUCE
        decimals: 6
        priceUsd: 0.01959459
    TokenCompact:
      type: object
      properties:
        id:
          type: string
          description: Token id (shard.realm.num)
          example: 0.0.731861
        icon:
          type: string
          description: Relative path to token icon
          example: /images/tokens/sauce.svg
        symbol:
          type: string
          description: Token symbol
          example: SAUCE
        decimals:
          type: integer
          description: Token decimal places
          example: 6
        price:
          type: string
          example: '36806544'
          description: Token price in tinybar
        priceUsd:
          type: number
          format: float
          description: Token price in USD
          example: 0.01760954
        dueDiligenceComplete:
          type: boolean
          description: Token due diligence completed?
          example: true
        isFeeOnTransferToken:
          type: boolean
          description: Token has fees on transfer?
          example: false
      required:
        - id
        - name
        - icon
        - symbol
        - decimals
        - price
        - priceUsd
        - dueDiligenceComplete
        - isFeeOnTransferToken

````